Name:		viewnior
Version:	1.8
Release:	%mkrel 4
Summary:	Elegant image viewer
Group:		Graphics/Viewers
License:	GPLv3+
URL:		https://siyanpanayotov.com/project/viewnior/
Source0:	https://github.com/hellosiyan/Viewnior/archive/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-build-with-exiv2-0.28.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(shared-mime-info)

%description
Viewnior is an image viewer program. Created to be simple, fast and elegant.
It's minimalist interface provides more screen space for your images. Among
its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Simple interface
* Configurable mouse actions

%prep
%setup -q -n Viewnior-%{name}-%{version}
%autopatch -p1

# fix spurious executable perms
chmod 0644 AUTHORS NEWS README* TODO src/*

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README* TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}.?*
%{_metainfodir}/%{name}.metainfo.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.8-4.mga10
+ Revision: 2218763
- Mageia 10 Mass Rebuild

* Mon Oct 02 2023 daviddavid <daviddavid> 1.8-3.mga10
+ Revision: 1993159
- backport upstream patch to fix build with exiv2 >= 0.28
- rebuild for new exiv2 0.28.0

* Fri Apr 01 2022 umeabot <umeabot> 1.8-2.mga9
+ Revision: 1838071
- Mageia 9 Mass Rebuild

* Sat Dec 18 2021 wally <wally> 1.8-1.mga9
+ Revision: 1762501
- new version 1.8

* Sat Feb 15 2020 umeabot <umeabot> 1.7-5.mga8
+ Revision: 1526393
- Mageia 8 Mass Rebuild

* Fri May 17 2019 daviddavid <daviddavid> 1.7-4.mga7
+ Revision: 1398096
- rebuild for new exiv2 0.27.1

* Thu Apr 18 2019 umeabot <umeabot> 1.7-3.mga7
+ Revision: 1392975
- Rebuild with meson 0.50.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.7-2.mga7
+ Revision: 1346066
- rebuild for exiv2

* Sat Dec 15 2018 wally <wally> 1.7-1.mga7
+ Revision: 1341374
- new version 1.7

* Sun Sep 23 2018 umeabot <umeabot> 1.6-4.mga7
+ Revision: 1301613
- Mageia 7 Mass Rebuild

* Tue Jun 20 2017 neoclust <neoclust> 1.6-3.mga6
+ Revision: 1107996
- Rebuild against new exiv2

* Fri Dec 25 2015 wally <wally> 1.6-2.mga6
+ Revision: 914601
- new version 1.6

* Tue Aug 25 2015 cjw <cjw> 1.5-2.mga6
+ Revision: 869269
- rebuild for new exiv2

* Sun Jun 21 2015 wally <wally> 1.5-1.mga6
+ Revision: 837879
- new version 1.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 749671
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 690205
- Mageia 5 Mass Rebuild

* Fri Feb 21 2014 wally <wally> 1.4-1.mga5
+ Revision: 595370
- new version 1.4

* Sat Oct 19 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 522602
- Mageia 4 Mass Rebuild

* Fri Mar 22 2013 wally <wally> 1.3-1.mga3
+ Revision: 404536
- import viewnior (based on .spec from Fedora)

